Skip to main content
PUT
Update custom account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to update custom account for.

customAccountId
string
required

The UUID of the custom account to update.

Body

application/json
external_id
string

Unique ID of the custom account in an external system for linking and idempotency.

Example:

"ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK"

mask
string

Last 4 digits of the custom account number.

Example:

"4321"

account_name
string

Name of the custom account.

Example:

"My custom account"

institution_name
string

Name of the institution for the custom account.

Example:

"My custom account institution"

account_type
enum<string> | null

The type of the custom account.

Available options:
DEPOSITORY,
CREDIT,
LOAN
Example:

"DEPOSITORY"

account_subtype
enum<string> | null

The subtype of the custom account.

Available options:
CHECKING,
SAVINGS,
CREDIT CARD,
LOAN
Example:

"checking"

Response

data
object
required